<?php


namespace Schaffen\Core\User\Managers;


use Schaffen\Core\User\Repositories\UserRepository;
use Freelabois\LaravelQuickstart\Extendables\ManipulationManager;

class UserManager extends ManipulationManager
{
    protected $repository;

    public function __construct(UserRepository $repository)
    {
        $this->repository = $repository;
    }



    public function getDadosUsuarioLogado(){
        $id= auth()->id();

        return $this->repository->first(['usu_codigo' => $id],['pessoa', 'funcionario']);
    }

}
